textures/000Map/fragsign1:q3map
{ 
        surfaceparm nonsolid
}


textures/000Map/fragsign2:q3map
{ 
        surfaceparm nonsolid
}

textures/000Map/flag2
{ 
	qer_editorimage textures/000Map/flag.tga
	qer_trans 0.5
	polygonOffset
	sort 6
	{
		map textures/000Map/flag.tga
		//this is where the magic happens 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
    }
}

textures/000Map/frag
{ 
	qer_editorimage textures/000Map/frag.tga
	qer_trans 0.5
	polygonOffset
	sort 6
	{
		map textures/000Map/frag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
    }
}

textures/000Map/waterfall
{
    q3map_surfacelight 50
    q3map_backsplash 0 0
    surfaceparm noimpact
    surfaceparm water
    surfaceparm trans
    cull none
    
    {
        map textures/000Map/waterfall.tga
        blendFunc blend
        tcmod scroll 0 -2.5
    }
}


textures/000Map/acqua

    {
        qer_editorimage textures/000Map/pool3d_5.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        surfaceparm nolightmap

        cull disable
        deformVertexes wave 64 sin .5 .5 0 .5    

        { 
            map textures/000Map/pool3d_5.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }

        { 
            map textures/000Map/pool3d_6.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }

        { 
            map textures/000Map/pool3d_3.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .25 .5
            tcmod scroll .001 .025
        }

        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity        
        }

}


textures/000Map/acqua_luminosa

    {
        qer_editorimage textures/000Map/pool3d_5.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water

	q3map_lightRGB 0.4 0.6 1.0
	q3map_surfacelight 350

        cull disable
        deformVertexes wave 64 sin .5 .5 0 .5    

        { 
            map textures/000Map/pool3d_5.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }

        { 
            map textures/000Map/pool3d_6.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }

        { 
            map textures/000Map/pool3d_3.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .25 .5
            tcmod scroll .001 .025
        }

        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity        
        }

}

textures/000Map/lava_bright
{
    qer_editorimage textures/000Map/lavahell.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 600
    cull disable
    {
        map textures/000Map/lavahell.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/000Map/lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/000Map/glass
{
	qer_editorimage textures/000Map/glass.tga
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull none
	qer_trans .2
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/000Map/glassnoicy
{
	qer_editorimage textures/000Map/glass.tga
	surfaceparm trans
	surfaceparm nodamage
	cull none
	qer_trans .2
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/000Map/glassnosolid
{
	qer_editorimage textures/000Map/glass.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	qer_trans .2
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/000Map/MarbleGreen0001_39_S:q3map
{
	surfaceparm nodamage
}

textures/000Map/dirtgrass:q3map
{
	surfaceparm nodamage
}

textures/000Map/BrickSmallDark0010_2_S:q3map
{
	surfaceparm nodamage
}

textures/000Map/BrickSmallDarkNonsolid:q3map
{
	surfaceparm nodamage
	surfaceparm nonsolid
}

textures/000Map/crude_warn:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}


textures/000Map/inv
{
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm slick
    {
        map $whiteimage
        alphaFunc GE128
        alphaGen const 0
    }
}

textures/000Map/invnonsolid
{
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm slick
    {
        map $whiteimage
        alphaFunc GE128
        alphaGen const 0
    }
}

textures/000Map/camera
{
qer_editorimage textures/common/qer_portal.tga
surfaceparm playerclip
surfaceparm nolightmap
portal
{
map textures/common/mirror1.tga
blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
depthWrite
alphaGen portal 2048
    }
}